package hmggirlfront;

import hmggirlfront.items.ItemDollCore;
import hmggirlfront.items.ItemDollGunBase;
import hmggirlfront.items.ItemDollGun_AR;
import net.minecraft.item.Item;
import net.minecraft.util.ResourceLocation;
import net.minecraftforge.event.RegistryEvent;

public class GFItemGunMG_Registry {
	public static void registry(mod_GirlFront mod, RegistryEvent.Register<Item> event){
		net.minecraftforge.fml.common.ProgressManager.ProgressBar bar= net.minecraftforge.fml.common.ProgressManager.push("GF_SMG_Loading", 18, true);
		{//start
			mod.dollgun_pkm	= new ItemDollGun_AR().setUnlocalizedName("dollgun_pkm")
					.setRegistryName(mod.MOD_ID, "dollgun_pkm").setCreativeTab(mod.tabgg_gun);
			{
				ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_pkm;
				ResourceLocation status = new ResourceLocation("hmggirlfront:textures/model/status/mg/pkm.txt");
				LoadDollStatus.load(gun, mod, event, status, "mg/pkm.txt");
				
				mod.ar_item_gun[mod.ar_id_gun] = mod.dollgun_pkm;
				 ++mod.ar_id_gun;
			}
		    event.getRegistry().register(mod.dollgun_pkm);
		    {
				 mod.core_pkm	= new ItemDollCore(130, mod.dollgun_pkm,  null).setUnlocalizedName("core_pkm")
				    		.setRegistryName(mod.MOD_ID, "core_pkm").setCreativeTab(mod.tabgg_core);
				 {
					 ItemDollCore core = (ItemDollCore) mod.core_pkm;
					 ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_pkm;
					 core.craft_time = gun.doll_crafttime;
					 mod.lmg_rare[mod.lmg_id] = gun.doll_rare;
					 mod.lmg_item[mod.lmg_id] = mod.core_pkm;
					 ++mod.lmg_id;
				 }
				   
				    event.getRegistry().register(mod.core_pkm);
			}
		    {
		    	ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_pkm;
		    	gun.doll_core = mod.core_pkm;
		    }
		}bar.step("gun load");//end
		
		{//start
			mod.dollgun_gr_mg4	= new ItemDollGun_AR().setUnlocalizedName("dollgun_gr_mg4")
					.setRegistryName(mod.MOD_ID, "dollgun_gr_mg4").setCreativeTab(mod.tabgg_gun);
			{
				ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_gr_mg4;
				ResourceLocation status = new ResourceLocation("hmggirlfront:textures/model/status/mg/gr_mg4.txt");
				LoadDollStatus.load(gun, mod, event, status, "mg/gr_mg4.txt");
				
				mod.ar_item_gun[mod.ar_id_gun] = mod.dollgun_gr_mg4;
				 ++mod.ar_id_gun;
			}
		    event.getRegistry().register(mod.dollgun_gr_mg4);
		    {
				 mod.core_gr_mg4	= new ItemDollCore(130, mod.dollgun_gr_mg4,  null).setUnlocalizedName("core_gr_mg4")
				    		.setRegistryName(mod.MOD_ID, "core_gr_mg4").setCreativeTab(mod.tabgg_core);
				 {
					 ItemDollCore core = (ItemDollCore) mod.core_gr_mg4;
					 ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_gr_mg4;
					 core.craft_time = gun.doll_crafttime;
					 mod.lmg_rare[mod.lmg_id] = gun.doll_rare;
					 mod.lmg_item[mod.lmg_id] = mod.core_gr_mg4;
					 ++mod.lmg_id;
				 }
				    
				    event.getRegistry().register(mod.core_gr_mg4);
			}
		    {
		    	ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_gr_mg4;
		    	gun.doll_core = mod.core_gr_mg4;
		    }
		}bar.step("gun load");//end
		{//start
			mod.dollgun_mg34	= new ItemDollGun_AR().setUnlocalizedName("dollgun_mg34")
					.setRegistryName(mod.MOD_ID, "dollgun_mg34").setCreativeTab(mod.tabgg_gun);
			{
				ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_mg34;
				ResourceLocation status = new ResourceLocation("hmggirlfront:textures/model/status/mg/mg34.txt");
				LoadDollStatus.load(gun, mod, event, status, "mg/mg34.txt");
				
				mod.ar_item_gun[mod.ar_id_gun] = mod.dollgun_mg34;
				 ++mod.ar_id_gun;
			}
		    event.getRegistry().register(mod.dollgun_mg34);
		    {
				 mod.core_mg34	= new ItemDollCore(130, mod.dollgun_mg34,  null).setUnlocalizedName("core_mg34")
				    		.setRegistryName(mod.MOD_ID, "core_mg34").setCreativeTab(mod.tabgg_core);
				 {
					 ItemDollCore core = (ItemDollCore) mod.core_mg34;
					 ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_mg34;
					 core.craft_time = gun.doll_crafttime;
					 mod.lmg_rare[mod.lmg_id] = gun.doll_rare;
					 mod.lmg_item[mod.lmg_id] = mod.core_mg34;
					 ++mod.lmg_id;
				 }
				    
				    event.getRegistry().register(mod.core_mg34);
			}
		    {
		    	ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_mg34;
		    	gun.doll_core = mod.core_mg34;
		    }
		}bar.step("gun load");//end
		
		{//start
			mod.dollgun_mg36	= new ItemDollGun_AR().setUnlocalizedName("dollgun_mg36")
					.setRegistryName(mod.MOD_ID, "dollgun_mg36").setCreativeTab(mod.tabgg_gun);
			{
				ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_mg36;
				ResourceLocation status = new ResourceLocation("hmggirlfront:textures/model/status/mg/mg36.txt");
				LoadDollStatus.load(gun, mod, event, status, "mg/mg36.txt");
				
				mod.ar_item_gun[mod.ar_id_gun] = mod.dollgun_mg36;
				 ++mod.ar_id_gun;
			}
		    event.getRegistry().register(mod.dollgun_mg36);
		    {
				 mod.core_mg36	= new ItemDollCore(130, mod.dollgun_mg36,  null).setUnlocalizedName("core_mg36")
				    		.setRegistryName(mod.MOD_ID, "core_mg36").setCreativeTab(mod.tabgg_core);
				 {
					 ItemDollCore core = (ItemDollCore) mod.core_mg36;
					 ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_mg36;
					 core.craft_time = gun.doll_crafttime;
					 mod.lmg_rare[mod.lmg_id] = gun.doll_rare;
					 mod.lmg_item[mod.lmg_id] = mod.core_mg36;
					 ++mod.lmg_id;
				 }
				    
				    event.getRegistry().register(mod.core_mg36);
			}
		    {
		    	ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_mg36;
		    	gun.doll_core = mod.core_mg36;
		    }
		}bar.step("gun load");//end
		
		{//start
			mod.dollgun_negev	= new ItemDollGun_AR().setUnlocalizedName("dollgun_negev")
					.setRegistryName(mod.MOD_ID, "dollgun_negev").setCreativeTab(mod.tabgg_gun);
			{
				ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_negev;
				ResourceLocation status = new ResourceLocation("hmggirlfront:textures/model/status/mg/negev.txt");
				LoadDollStatus.load(gun, mod, event, status, "mg/negev.txt");
				
				mod.ar_item_gun[mod.ar_id_gun] = mod.dollgun_negev;
				 ++mod.ar_id_gun;
			}
		    event.getRegistry().register(mod.dollgun_negev);
		    {
				 mod.core_negev	= new ItemDollCore(130, mod.dollgun_negev,  null).setUnlocalizedName("core_negev")
				    		.setRegistryName(mod.MOD_ID, "core_negev").setCreativeTab(mod.tabgg_core);
				 {
					 ItemDollCore core = (ItemDollCore) mod.core_negev;
					 ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_negev;
					 core.craft_time = gun.doll_crafttime;
					 mod.lmg_rare[mod.lmg_id] = gun.doll_rare;
					 mod.lmg_item[mod.lmg_id] = mod.core_negev;
					 ++mod.lmg_id;
				 }
				    
				    event.getRegistry().register(mod.core_negev);
			}
		    {
		    	ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_negev;
		    	gun.doll_core = mod.core_negev;
		    }
		}bar.step("gun load");//end
		
		{//start
			mod.dollgun_gr_mg5	= new ItemDollGun_AR().setUnlocalizedName("dollgun_gr_mg5")
					.setRegistryName(mod.MOD_ID, "dollgun_gr_mg5").setCreativeTab(mod.tabgg_gun);
			{
				ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_gr_mg5;
				ResourceLocation status = new ResourceLocation("hmggirlfront:textures/model/status/mg/gr_mg5.txt");
				LoadDollStatus.load(gun, mod, event, status, "mg/gr_mg5.txt");
				
				mod.ar_item_gun[mod.ar_id_gun] = mod.dollgun_gr_mg5;
				 ++mod.ar_id_gun;
			}
		    event.getRegistry().register(mod.dollgun_gr_mg5);
		    {
				 mod.core_gr_mg5	= new ItemDollCore(130, mod.dollgun_gr_mg5,  null).setUnlocalizedName("core_gr_mg5")
				    		.setRegistryName(mod.MOD_ID, "core_gr_mg5").setCreativeTab(mod.tabgg_core);
				 {
					 ItemDollCore core = (ItemDollCore) mod.core_gr_mg5;
					 ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_gr_mg5;
					 core.craft_time = gun.doll_crafttime;
					 mod.lmg_rare[mod.lmg_id] = gun.doll_rare;
					 mod.lmg_item[mod.lmg_id] = mod.core_gr_mg5;
					 ++mod.lmg_id;
				 }
				    
				    event.getRegistry().register(mod.core_gr_mg5);
			}
		    {
		    	ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_gr_mg5;
		    	gun.doll_core = mod.core_gr_mg5;
		    }
		}bar.step("gun load");//end
		
		{//start
			mod.dollgun_gr_mg23	= new ItemDollGun_AR().setUnlocalizedName("dollgun_gr_mg23")
					.setRegistryName(mod.MOD_ID, "dollgun_gr_mg23").setCreativeTab(mod.tabgg_gun);
			{
				ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_gr_mg23;
				ResourceLocation status = new ResourceLocation("hmggirlfront:textures/model/status/mg/gr_mg23.txt");
				LoadDollStatus.load(gun, mod, event, status, "mg/gr_mg23.txt");
				
				mod.ar_item_gun[mod.ar_id_gun] = mod.dollgun_gr_mg23;
				 ++mod.ar_id_gun;
			}
		    event.getRegistry().register(mod.dollgun_gr_mg23);
		    {
				 mod.core_gr_mg23	= new ItemDollCore(130, mod.dollgun_gr_mg23,  null).setUnlocalizedName("core_gr_mg23")
				    		.setRegistryName(mod.MOD_ID, "core_gr_mg23").setCreativeTab(mod.tabgg_core);
				 {
					 ItemDollCore core = (ItemDollCore) mod.core_gr_mg23;
					 ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_gr_mg23;
					 core.craft_time = gun.doll_crafttime;
					 mod.lmg_rare[mod.lmg_id] = gun.doll_rare;
					 mod.lmg_item[mod.lmg_id] = mod.core_gr_mg23;
					 ++mod.lmg_id;
				 }
				    
				    event.getRegistry().register(mod.core_gr_mg23);
			}
		    {
		    	ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_gr_mg23;
		    	gun.doll_core = mod.core_gr_mg23;
		    }
		}bar.step("gun load");//end
		
		{//start
			mod.dollgun_mg42	= new ItemDollGun_AR().setUnlocalizedName("dollgun_mg42")
					.setRegistryName(mod.MOD_ID, "dollgun_mg42").setCreativeTab(mod.tabgg_gun);
			{
				ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_mg42;
				ResourceLocation status = new ResourceLocation("hmggirlfront:textures/model/status/mg/mg42.txt");
				LoadDollStatus.load(gun, mod, event, status, "mg/mg42.txt");
				
				mod.ar_item_gun[mod.ar_id_gun] = mod.dollgun_mg42;
				 ++mod.ar_id_gun;
			}
		    event.getRegistry().register(mod.dollgun_mg42);
		    {
				 mod.core_mg42	= new ItemDollCore(130, mod.dollgun_mg42,  null).setUnlocalizedName("core_mg42")
				    		.setRegistryName(mod.MOD_ID, "core_mg42").setCreativeTab(mod.tabgg_core);
				 {
					 ItemDollCore core = (ItemDollCore) mod.core_mg42;
					 ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_mg42;
					 core.craft_time = gun.doll_crafttime;
					 mod.lmg_rare[mod.lmg_id] = gun.doll_rare;
					 mod.lmg_item[mod.lmg_id] = mod.core_mg42;
					 ++mod.lmg_id;
				 }
				    
				    event.getRegistry().register(mod.core_mg42);
			}
		    {
		    	ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_mg42;
		    	gun.doll_core = mod.core_mg42;
		    }
		}bar.step("gun load");//end
		
		{//start
			mod.dollgun_dp28	= new ItemDollGun_AR().setUnlocalizedName("dollgun_dp28")
					.setRegistryName(mod.MOD_ID, "dollgun_dp28").setCreativeTab(mod.tabgg_gun);
			{
				ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_dp28;
				ResourceLocation status = new ResourceLocation("hmggirlfront:textures/model/status/mg/dp28.txt");
				LoadDollStatus.load(gun, mod, event, status, "mg/dp28.txt");
				
				mod.ar_item_gun[mod.ar_id_gun] = mod.dollgun_dp28;
				 ++mod.ar_id_gun;
			}
		    event.getRegistry().register(mod.dollgun_dp28);
		    {
				 mod.core_dp28	= new ItemDollCore(130, mod.dollgun_dp28,  null).setUnlocalizedName("core_dp28")
				    		.setRegistryName(mod.MOD_ID, "core_dp28").setCreativeTab(mod.tabgg_core);
				 {
					 ItemDollCore core = (ItemDollCore) mod.core_dp28;
					 ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_dp28;
					 core.craft_time = gun.doll_crafttime;
					 mod.lmg_rare[mod.lmg_id] = gun.doll_rare;
					 mod.lmg_item[mod.lmg_id] = mod.core_dp28;
					 ++mod.lmg_id;
				 }
				    
				    event.getRegistry().register(mod.core_dp28);
			}
		    {
		    	ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_dp28;
		    	gun.doll_core = mod.core_dp28;
		    }
		}bar.step("gun load");//end
		{//start
			mod.dollgun_rpd	= new ItemDollGun_AR().setUnlocalizedName("dollgun_rpd")
					.setRegistryName(mod.MOD_ID, "dollgun_rpd").setCreativeTab(mod.tabgg_gun);
			{
				ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_rpd;
				ResourceLocation status = new ResourceLocation("hmggirlfront:textures/model/status/mg/rpd.txt");
				LoadDollStatus.load(gun, mod, event, status, "mg/rpd.txt");
				
				mod.ar_item_gun[mod.ar_id_gun] = mod.dollgun_rpd;
				 ++mod.ar_id_gun;
			}
		    event.getRegistry().register(mod.dollgun_rpd);
		    {
				 mod.core_rpd	= new ItemDollCore(130, mod.dollgun_rpd,  null).setUnlocalizedName("core_rpd")
				    		.setRegistryName(mod.MOD_ID, "core_rpd").setCreativeTab(mod.tabgg_core);
				 {
					 ItemDollCore core = (ItemDollCore) mod.core_rpd;
					 ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_rpd;
					 core.craft_time = gun.doll_crafttime;
					 mod.lmg_rare[mod.lmg_id] = gun.doll_rare;
					 mod.lmg_item[mod.lmg_id] = mod.core_rpd;
					 ++mod.lmg_id;
				 }
				    
				    event.getRegistry().register(mod.core_rpd);
			}
		    {
		    	ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_rpd;
		    	gun.doll_core = mod.core_rpd;
		    }
		}bar.step("gun load");//end
		{//start
			mod.dollgun_pkp	= new ItemDollGun_AR().setUnlocalizedName("dollgun_pkp")
					.setRegistryName(mod.MOD_ID, "dollgun_pkp").setCreativeTab(mod.tabgg_gun);
			{
				ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_pkp;
				ResourceLocation status = new ResourceLocation("hmggirlfront:textures/model/status/mg/pkp.txt");
				LoadDollStatus.load(gun, mod, event, status, "mg/pkp.txt");
				
				mod.ar_item_gun[mod.ar_id_gun] = mod.dollgun_pkp;
				 ++mod.ar_id_gun;
			}
		    event.getRegistry().register(mod.dollgun_pkp);
		    {
				 mod.core_pkp	= new ItemDollCore(130, mod.dollgun_pkp,  null).setUnlocalizedName("core_pkp")
				    		.setRegistryName(mod.MOD_ID, "core_pkp").setCreativeTab(mod.tabgg_core);
				 {
					 ItemDollCore core = (ItemDollCore) mod.core_pkp;
					 ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_pkp;
					 core.craft_time = gun.doll_crafttime;
					 mod.lmg_rare[mod.lmg_id] = gun.doll_rare;
					 mod.lmg_item[mod.lmg_id] = mod.core_pkp;
					 ++mod.lmg_id;
				 }
				    
				    event.getRegistry().register(mod.core_pkp);
			}
		    {
		    	ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_pkp;
		    	gun.doll_core = mod.core_pkp;
		    }
		}bar.step("gun load");//end
		
		{//start
			mod.dollgun_lewis	= new ItemDollGun_AR().setUnlocalizedName("dollgun_lewis")
					.setRegistryName(mod.MOD_ID, "dollgun_lewis").setCreativeTab(mod.tabgg_gun);
			{
				ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_lewis;
				ResourceLocation status = new ResourceLocation("hmggirlfront:textures/model/status/mg/lewis.txt");
				LoadDollStatus.load(gun, mod, event, status, "mg/lewis.txt");
				
				mod.ar_item_gun[mod.ar_id_gun] = mod.dollgun_lewis;
				 ++mod.ar_id_gun;
			}
		    event.getRegistry().register(mod.dollgun_lewis);
		    {
				 mod.core_lewis	= new ItemDollCore(130, mod.dollgun_lewis,  null).setUnlocalizedName("core_lewis")
				    		.setRegistryName(mod.MOD_ID, "core_lewis").setCreativeTab(mod.tabgg_core);
				 {
					 ItemDollCore core = (ItemDollCore) mod.core_lewis;
					 ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_lewis;
					 core.craft_time = gun.doll_crafttime;
					 mod.lmg_rare[mod.lmg_id] = gun.doll_rare;
					 mod.lmg_item[mod.lmg_id] = mod.core_lewis;
					 ++mod.lmg_id;
				 }
				    
				    event.getRegistry().register(mod.core_lewis);
			}
		    {
		    	ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_lewis;
		    	gun.doll_core = mod.core_lewis;
		    }
		}bar.step("gun load");//end
		
		{//start
			mod.dollgun_lwmmg	= new ItemDollGun_AR().setUnlocalizedName("dollgun_lwmmg")
					.setRegistryName(mod.MOD_ID, "dollgun_lwmmg").setCreativeTab(mod.tabgg_gun);
			{
				ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_lwmmg;
				ResourceLocation status = new ResourceLocation("hmggirlfront:textures/model/status/mg/lwmmg.txt");
				LoadDollStatus.load(gun, mod, event, status, "mg/lwmmg.txt");
				
				mod.ar_item_gun[mod.ar_id_gun] = mod.dollgun_lwmmg;
				 ++mod.ar_id_gun;
			}
		    event.getRegistry().register(mod.dollgun_lwmmg);
		    {
				 mod.core_lwmmg	= new ItemDollCore(130, mod.dollgun_lwmmg,  null).setUnlocalizedName("core_lwmmg")
				    		.setRegistryName(mod.MOD_ID, "core_lwmmg").setCreativeTab(mod.tabgg_core);
				 {
					 ItemDollCore core = (ItemDollCore) mod.core_lwmmg;
					 ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_lwmmg;
					 core.craft_time = gun.doll_crafttime;
					 mod.lmg_rare[mod.lmg_id] = gun.doll_rare;
					 mod.lmg_item[mod.lmg_id] = mod.core_lwmmg;
					 ++mod.lmg_id;
				 }
				    
				    event.getRegistry().register(mod.core_lwmmg);
			}
		    {
		    	ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_lwmmg;
		    	gun.doll_core = mod.core_lwmmg;
		    }
		}bar.step("gun load");//end
		
		{//start
			mod.dollgun_aek999	= new ItemDollGun_AR().setUnlocalizedName("dollgun_aek999")
					.setRegistryName(mod.MOD_ID, "dollgun_aek999").setCreativeTab(mod.tabgg_gun);
			{
				ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_aek999;
				ResourceLocation status = new ResourceLocation("hmggirlfront:textures/model/status/mg/aek999.txt");
				LoadDollStatus.load(gun, mod, event, status, "mg/aek999.txt");
				
				mod.ar_item_gun[mod.ar_id_gun] = mod.dollgun_aek999;
				 ++mod.ar_id_gun;
			}
		    event.getRegistry().register(mod.dollgun_aek999);
		    {
				 mod.core_aek999	= new ItemDollCore(130, mod.dollgun_aek999,  null).setUnlocalizedName("core_aek999")
				    		.setRegistryName(mod.MOD_ID, "core_aek999").setCreativeTab(mod.tabgg_core);
				 {
					 ItemDollCore core = (ItemDollCore) mod.core_aek999;
					 ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_aek999;
					 core.craft_time = gun.doll_crafttime;
					 mod.lmg_rare[mod.lmg_id] = gun.doll_rare;
					 mod.lmg_item[mod.lmg_id] = mod.core_aek999;
					 ++mod.lmg_id;
				 }
				    
				    event.getRegistry().register(mod.core_aek999);
			}
		    {
		    	ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_aek999;
		    	gun.doll_core = mod.core_aek999;
		    }
		}bar.step("gun load");//end
		
		{//start
			mod.dollgun_m249saw	= new ItemDollGun_AR().setUnlocalizedName("dollgun_m249saw")
					.setRegistryName(mod.MOD_ID, "dollgun_m249saw").setCreativeTab(mod.tabgg_gun);
			{
				ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_m249saw;
				ResourceLocation status = new ResourceLocation("hmggirlfront:textures/model/status/mg/m249saw.txt");
				LoadDollStatus.load(gun, mod, event, status, "mg/m249saw.txt");
				
				mod.ar_item_gun[mod.ar_id_gun] = mod.dollgun_m249saw;
				 ++mod.ar_id_gun;
			}
		    event.getRegistry().register(mod.dollgun_m249saw);
		    {
				 mod.core_m249saw	= new ItemDollCore(130, mod.dollgun_m249saw,  null).setUnlocalizedName("core_m249saw")
				    		.setRegistryName(mod.MOD_ID, "core_m249saw").setCreativeTab(mod.tabgg_core);
				 {
					 ItemDollCore core = (ItemDollCore) mod.core_m249saw;
					 ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_m249saw;
					 core.craft_time = gun.doll_crafttime;
					 mod.lmg_rare[mod.lmg_id] = gun.doll_rare;
					 mod.lmg_item[mod.lmg_id] = mod.core_m249saw;
					 ++mod.lmg_id;
				 }
				    
				    event.getRegistry().register(mod.core_m249saw);
			}
		    {
		    	ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_m249saw;
		    	gun.doll_core = mod.core_m249saw;
		    }
		}bar.step("gun load");//end
		
		{//start
			mod.dollgun_m1918	= new ItemDollGun_AR().setUnlocalizedName("dollgun_m1918")
					.setRegistryName(mod.MOD_ID, "dollgun_m1918").setCreativeTab(mod.tabgg_gun);
			{
				ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_m1918;
				ResourceLocation status = new ResourceLocation("hmggirlfront:textures/model/status/mg/m1918.txt");
				LoadDollStatus.load(gun, mod, event, status, "mg/m1918.txt");
				
				mod.ar_item_gun[mod.ar_id_gun] = mod.dollgun_m1918;
				 ++mod.ar_id_gun;
			}
		    event.getRegistry().register(mod.dollgun_m1918);
		    {
				 mod.core_m1918	= new ItemDollCore(130, mod.dollgun_m1918,  null).setUnlocalizedName("core_m1918")
				    		.setRegistryName(mod.MOD_ID, "core_m1918").setCreativeTab(mod.tabgg_core);
				 {
					 ItemDollCore core = (ItemDollCore) mod.core_m1918;
					 ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_m1918;
					 core.craft_time = gun.doll_crafttime;
					 mod.lmg_rare[mod.lmg_id] = gun.doll_rare;
					 mod.lmg_item[mod.lmg_id] = mod.core_m1918;
					 ++mod.lmg_id;
				 }
				    
				    event.getRegistry().register(mod.core_m1918);
			}
		    {
		    	ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_m1918;
		    	gun.doll_core = mod.core_m1918;
		    }
		}bar.step("gun load");//end
		
		{//start
			mod.dollgun_kord	= new ItemDollGun_AR().setUnlocalizedName("dollgun_kord")
					.setRegistryName(mod.MOD_ID, "dollgun_kord").setCreativeTab(mod.tabgg_gun);
			{
				ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_kord;
				ResourceLocation status = new ResourceLocation("hmggirlfront:textures/model/status/mg/kord.txt");
				LoadDollStatus.load(gun, mod, event, status, "mg/kord.txt");
				
				mod.ar_item_gun[mod.ar_id_gun] = mod.dollgun_kord;
				 ++mod.ar_id_gun;
			}
		    event.getRegistry().register(mod.dollgun_kord);
		    {
				 mod.core_kord	= new ItemDollCore(130, mod.dollgun_kord,  null).setUnlocalizedName("core_kord")
				    		.setRegistryName(mod.MOD_ID, "core_kord").setCreativeTab(mod.tabgg_core);
				 {
					 ItemDollCore core = (ItemDollCore) mod.core_kord;
					 ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_kord;
					 core.craft_time = gun.doll_crafttime;
					 mod.lmg_rare[mod.lmg_id] = gun.doll_rare;
					 mod.lmg_item[mod.lmg_id] = mod.core_kord;
					 ++mod.lmg_id;
				 }
				    
				    event.getRegistry().register(mod.core_kord);
			}
		    {
		    	ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_kord;
		    	gun.doll_core = mod.core_kord;
		    }
		}bar.step("gun load");//end
		
		{//start
			mod.dollgun_rpk16	= new ItemDollGun_AR().setUnlocalizedName("dollgun_rpk16")
					.setRegistryName(mod.MOD_ID, "dollgun_rpk16").setCreativeTab(mod.tabgg_gun);
			{
				ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_rpk16;
				ResourceLocation status = new ResourceLocation("hmggirlfront:textures/model/status/mg/rpk16.txt");
				LoadDollStatus.load(gun, mod, event, status, "mg/rpk16.txt");
				
				mod.ar_item_gun[mod.ar_id_gun] = mod.dollgun_rpk16;
				 ++mod.ar_id_gun;
			}
		    event.getRegistry().register(mod.dollgun_rpk16);
		    {
				 mod.core_rpk16	= new ItemDollCore(130, mod.dollgun_rpk16,  null).setUnlocalizedName("core_rpk16")
				    		.setRegistryName(mod.MOD_ID, "core_rpk16").setCreativeTab(mod.tabgg_core);
				 {
					 ItemDollCore core = (ItemDollCore) mod.core_rpk16;
					 ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_rpk16;
					 core.craft_time = gun.doll_crafttime;
					 mod.lmg_rare[mod.lmg_id] = gun.doll_rare;
					 mod.lmg_item[mod.lmg_id] = mod.core_rpk16;
					 ++mod.lmg_id;
				 }
				    
				    event.getRegistry().register(mod.core_rpk16);
			}
		    {
		    	ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_rpk16;
		    	gun.doll_core = mod.core_rpk16;
		    }
		}bar.step("gun load");//end
		
		
		net.minecraftforge.fml.common.ProgressManager.pop(bar);
	}
}
